package _04_变量;

public class Test {

    public static void main(String[] args) {
        /**
         * 变量:
         * 变量是用于存储数据容器
         * 语法:
         * 数据类型  变量名字 = 变量的值
         *
         * 需求:
         * 定义 整型变量   a = 10
         * 定义 小数变量   b = 20
         * 定义 字符串变量  c = "hello"
         *
         * int  double   String
         */
        // 定义一个整型变量a =10;
        int a = 10;
        // 定义一个小数变量b =20;
        double b = 20;
        // 定义一个字符串变量c = "hello"
        String c = "hello";
        System.out.println(a);
        System.out.println(b);
        System.out.println(c);

        /**
         * 变量的注意点:
         * 1 在一个主方法中 不定义相同名字的变量
         * 2 变量的值是可以去修改的
         * 变量名字 = 新的值(但是这个新的值的类型要和之前保持一致)
         */
        // 变量a 的值修改成30
        a =  30;
        System.out.println(a);

        /**
         * 变量之间是可以相同进行计算
         * 计算 a + b 的值
         */
        System.out.println(a+ b);

    }
}
